Subject: linux-next: manual merge of the amdgpu tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 27 Jan 2022 10:32:49 +1100

Hi all,

Today's linux-next merge of the amdgpu tree got a conflict in:

  drivers/gpu/drm/amd/display/dc/dce110/dce110_hw_sequencer.c

between commit:

  75b950ef6166 ("Revert "drm/amd/display: Fix for otg synchronization logic"")

from Linus' tree and commit:

  d9eb8fea6862 ("drm/amd/display: Drop DCN for DP2.x logic")

from the amdgpu tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc drivers/gpu/drm/amd/display/dc/dce110/dce110_hw_sequencer.c
index 78192ecba102,72dd41e7a7d6..000000000000
--- a/drivers/gpu/drm/amd/display/dc/dce110/dce110_hw_sequencer.c
+++ b/drivers/gpu/drm/amd/display/dc/dce110/dce110_hw_sequencer.c
@@@ -1566,7 -1527,10 +1527,6 @@@ static enum dc_status apply_single_cont
  				&pipe_ctx->stream->audio_info);
  	}
  
- #if defined(CONFIG_DRM_AMD_DC_DCN)
 -	/* make sure no pipes syncd to the pipe being enabled */
 -	if (!pipe_ctx->stream->apply_seamless_boot_optimization && dc->config.use_pipe_ctx_sync_logic)
 -		check_syncd_pipes_for_disabled_master_pipe(dc, context, pipe_ctx->pipe_idx);
 -
  	/* DCN3.1 FPGA Workaround
  	 * Need to enable HPO DP Stream Encoder before setting OTG master enable.
  	 * To do so, move calling function enable_stream_timing to only be done AFTER calling